Package ru.bitel.bgbilling.kernel.contract.script.common.service

# Interface ContractScriptService

    @MTOM(enabled=true)
    public interface ContractScriptService

Сервис скриптов поведения договора.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AdditionalContractActionResult` | `additionalContractActionInvoke​(int contractId, int actionId, boolean customer, MapHolder<java.lang.String,​java.lang.String> params)` | Выполнение дополнительного действия.
  `java.util.List<AdditionalContractAction>` | `additionalContractActionList​(int contractId, boolean customer)` | Deprecated.
  `java.util.List<AdditionalContractAction>` | `additionalContractActionList​(int contractId, boolean customer, MapHolder<java.lang.String,​java.lang.String> params)` | Получение списка дополнительных действий.
  `void` | `contractScriptDelete​(int id)` | Удаление скрипта с договора.
  `ContractScript` | `contractScriptGet​(int id)` |
  `java.util.List<ContractScript>` | `contractScriptList​(int contractId)` |
  `void` | `contractScriptUpdate​(ContractScript contractScript)` |
  `java.util.List<ContractScriptLog>` | `getScriptLogList​(int contractId, Period period, java.lang.String title, javax.xml.ws.Holder<Page> pag)` | Возвращает полный список логов скриптов договора за определенный период
  `java.util.List<java.lang.String>` | `getScriptLogTitleList​(int contractId, Period period)` |

- ## Method Details

  - ### getScriptLogTitleList

    java.util.List<java.lang.String> getScriptLogTitleList​(int contractId, Period period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `contractId` - - код договора.
      `period` - - период.
    Returns:
      - не повторяющийся список названий выполнившихся скриптов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getScriptLogList

    java.util.List<ContractScriptLog> getScriptLogList​(int contractId, Period period, java.lang.String title, javax.xml.ws.Holder<Page> pag) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Возвращает полный список логов скриптов договора за определенный период
    Parameters:
      `contractId` - - код договора.
      `period` - - за какой период.
      `title` - - если не равен null, то вернет логи с данным title.
      `pageHolder` - - передать null, если нужны все записи за данный период.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractScriptList

    java.util.List<ContractScript> contractScriptList​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractScriptGet

    ContractScript contractScriptGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractScriptUpdate

    void contractScriptUpdate​(ContractScript contractScript) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractScriptDelete

    void contractScriptDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление скрипта с договора.
    Parameters:
      `id` - - ид удаляемого скрипта.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### additionalContractActionList

    @Deprecated @RequestWrapper(className="ru.bitel.bgbilling.kernel.contract.script.common.jaxws.AdditionalContractActionListOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.kernel.contract.script.common.jaxws.AdditionalContractActionListOldResponse") java.util.List<AdditionalContractAction> additionalContractActionList​(int contractId, boolean customer) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Deprecated.
    Получение списка дополнительных действий.
    Parameters:
      `contractId` -
      `customer` - только для абонента (для личного кабинета).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### additionalContractActionList

    java.util.List<AdditionalContractAction> additionalContractActionList​(int contractId, boolean customer, MapHolder<java.lang.String,​java.lang.String> params) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка дополнительных действий.
    Parameters:
      `contractId` -
      `customer` - только для абонента (для личного кабинета).
      `params` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### additionalContractActionInvoke

    AdditionalContractActionResult additionalContractActionInvoke​(int contractId, int actionId, boolean customer, MapHolder<java.lang.String,​java.lang.String> params) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Выполнение дополнительного действия.
    Parameters:
      `contractId` -
      `actionId` -
      `customer` - из личного кабинета.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`